Как обновить laravel c 5.4 до 5.8?

Подскажите как правильно обновить ларавел с 5.4 до 5.8
в композер поставил так

"require": {
        "php": "^7.1.3",
        "anhskohbo/no-captcha": "^3.0",
        "buzz/laravel-google-captcha": "^2.1",
        "intervention/image": "^2.5",
        "laravel/framework": "5.8.*",
        "laravel/tinker": "~1.0",
        "kylekatarnls/laravel-carbon-2": "^1.0.0",
        "nesbot/carbon": "2.9.1 as 1.26.3"
    },


но при composer update выдает

composer-php7.1 update
Loading composer repositories with package information
Updating dependencies (including require-dev)
Package operations: 1 install, 1 update, 1 removal
  - Removing kylekatarnls/update-helper (1.2.0)
  - Updating nesbot/carbon (1.39.0 => 2.9.1): Downloading (100%)
  - Installing kylekatarnls/laravel-carbon-2 (1.0.0): Downloading (100%)        Package phpunit/phpunit-mock-objects is abandoned, you should avoid using it. No replacement was suggested.
Writing lock file
Generating optimized autoload files
> Illuminate\Foundation\ComposerScripts::postUpdate
> php artisan optimize
Script php artisan optimize handling the post-update-cmd event returned with error code 255
  • Вопрос задан
  • 195 просмотров
Пригласить эксперта
Ответы на вопрос 2
Alex_Wells
@Alex_Wells
PHP/TS/Kotlin developer
Заходишь в composer.json и поднимаешь версию ларки до 5.8. Пишешь composer update. Он в тебя срет ошибками, мол "такие то пакеты слишком старые для этой версии". Гуглишь новые версии под 5.8 и вписываешь их. Опять composer update. Опять ошибки, опять ищешь новые версии. Так по кругу.

Наверное есть и более норм способ это сделать, но раз в несколько месяцев можно и так.

Но это 10% работы. 90% это проседовать upgrade guide'м, всем, от начала до конца, а потом искать бажики в конце (потому что они будут, даже если вы идеально проследовали всем апгрейд гайдам. Гайды НЕ описывают все изменения).
Ответ написан
@Nujabes37
:DEATH
Попробуй,
composer dumpautoload
composer clearcache
composer update —lock
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы